
Name:  	 crystalgl 
Summary: next-gen crystal (KDE) window decoration
Version: 0.8.1 
Release: 1%{?dist}%{?kde}

License: GPL
URL:	 http://www.kde-look.org/content/show.php?content=18983
Source:  http://www.kde-look.org/content/files/18983-crystalgl-0.8.1.tar.bz2
Group: 	 User Interface/Desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1:  crystalgl-0.8.1-gcc296.patch

%{?!_icondir:%define _icondir   %{_datadir}/icons}
%{?!theme:%define theme %{name}}

BuildRequires: kdebase-devel >= 6:3.5
## Not *strictly* required -- Rex
#Requires: kdebase

%description
Crystal-GL is the next generation of the crystal window decoration theme.
By using OpenGL to render itself, it simulates refraction and light mapping!

It looks very similar to crystal, but has more eye-candy and smooth animations.

* Grabs your wallpaper and simulates bended glass, little lighting. You are able to specify the ior. ;)
* Support for button themes. Feel free to swamp me with cool themes. :D The themes are the same than the ones in crystal.
Knifty button theme by Enso

Disadvantages:
* Needs a working GL subsystem!!! Don't blame me, if yours is broken!
* Be careful on nvidia systems, if under load, the gl subsystem may become *real* slow, so my deco.
* Needs KDE >=3.2 and QT>=3.2 to compile.
* May be slower than any other deco
* May be fat
* May make you drool, and you might forget to eat, sleep or even breath!


%prep

%setup -q 

%{?gcc296:%patch1 -p1 -b .gcc.296}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_datadir}/apps/kwin/%{theme}*.desktop
%{_libdir}/kde3/kwin*_%{theme}*.*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Nov 18 2005 Rex Dieter 0.8.1-1
- rebuild against kde-3.5

* Wed May 25 2005 Rex Dieter 0.8.1-0.2.kde
- rebuild agsinst kde-3.4.x

* Thu Apr 07 2005 Rex Dieter 0.8.1-0.1
- gcc296 patch
- tighten Req's

* Wed Jan 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-0.0
- 0.8.1
